Wireless toolkit ne compile pas mes projets J2ME [Résolu]

Signaler
Messages postés
355
Date d'inscription
lundi 26 juillet 2004
Statut
Membre
Dernière intervention
26 juin 2012
-
Messages postés
355
Date d'inscription
lundi 26 juillet 2004
Statut
Membre
Dernière intervention
26 juin 2012
-
Bonsoir,

J'ai créé un projet en J2ME, mais quand j essaye de cliquer sur "Build", j ai ce joli message:

"In order to compile, you need to use the full JDK version 1.5 or later"

Meme chose si j'essaie de compiler les démos du WTK.

Du coup, pour etre sur j ai retéléchargé le JDK et bien vérifié que ce soit conforme a ce qu il demande,
mais one more time l'erreur.
Je me suis dis que l'erreur venait peut etre du fait que j'utilise Vista, peut etre que le compilateur ne trouve
pas le chemin du dossier, et j ai regardé dans tous les paramètres, il n y a pas moyen de le préciser manuellement.

Alors si quelqu'un saurait comment "réparer" mon WTK, c'est volontiers, ou alors si vous connaissez un autre
compilateur J2ME. J'ai parcouru internet et n'ai bien trouvé que celui-là...

Merci d'avance,

FF

2 réponses

Messages postés
2448
Date d'inscription
samedi 21 février 2004
Statut
Modérateur
Dernière intervention
29 janvier 2010
12
as tu bien preciser dans les variables d'environnements? si oui dans une console si tu tape javac tu verras un truc qui ressemble a ca :

(daedric@localhost ~)javac
Usage: javac <options> <source files>
where possible options include:
  -g                         Generate all debugging info
  -g:none                    Generate no debugging info
  -g:{lines,vars,source}     Generate only some debugging info
  -nowarn                    Generate no warnings
  -verbose                   Output messages about what the compiler is doing
  -deprecation               Output source locations where deprecated APIs are used
  -classpath           Specify where to find user class files
  -cp                  Specify where to find user class files
  -sourcepath          Specify where to find input source files
  -bootclasspath       Override location of bootstrap class files
  -extdirs <dirs>            Override location of installed extensions
  -endorseddirs <dirs>       Override location of endorsed standards path
  -d <directory>             Specify where to place generated class files
  -encoding <encoding>       Specify character encoding used by source files
  -source <release>          Provide source compatibility with specified release
  -target <release>          Generate class files for specific VM version
  -version                   Version information
  -help                      Print a synopsis of standard options
  -X                         Print a synopsis of nonstandard options
  -J<flag>                   Pass <flag> directly to the runtime system

de memoire a l'install du wtk il te demande le dossier d'installation du JDK ...
donc au pire reinstall le wtk

"n'est pas mort ce qui semble a jamais dormir et en d'etrange temps meme la mort peut mourrir"
Messages postés
355
Date d'inscription
lundi 26 juillet 2004
Statut
Membre
Dernière intervention
26 juin 2012
1
Merci pour ta réponse,

En effet, en réinstallant tout est ok!
Merci, en fait il me demandait un dossier, mais il trouvait par defaut le dossier du JRE
et pas du JDK, alors mnt c est bon, merci !
a+
FF